#
# spec file for package gap-recog
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-recog
Version:        1.4.4
Release:        1.1
Summary:        GAP: A collection of group recognition methods
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/recog/
#Git-Clone:     https://github.com/gap-packages/recog
Source:         https://github.com/gap-packages/recog/releases/download/v%version/recog-%version.tar.bz2
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-atlasrep >= 1.4.0
Requires:       gap-core >= 4.11
Requires:       gap-factint >= 1.5.2
Requires:       gap-forms >= 1.2
Requires:       gap-genss >= 1.3
Requires:       gap-orb >= 3.4
Conflicts:      gap-recogbase

%description
This packages contains a collection of methods for the constructive
recognition of groups. It is mostly intended for permutation groups,
matrix groups and projective groups.

%prep
%autosetup -n recog-%version

%build
chmod a-x misc/bbox/*.g
rm -v doc/clean
perl -i -lpe 's{^#!/usr/bin/env py\w+}{#!/usr/bin/python3}' misc/bbox/bbtogap.py

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Wed Jan 22 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.4.4
  * Fix an unexpected error during recognition when trying to split
    group as direct products (in `RECOG.DirectFactorsFinder`)
  * Fix an unexpected error in
    `RECOG.SmallHomomorphicImageProjectiveGroup`
  * Fix an unexpected error in the C6 recognition code (a call to
    `ConvertToMatrixRep` was missing)
* Wed Oct 16 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.4.3
  * Stop overriding the system library function
    ``MTX.InvariantBilinearForm`` with an old version (this was
    meant to fix a bug in GAP but has been unnecessary for a
    couple years, and now impedes improvements for this function
    in GAP)
* Mon Jan 29 2024 Jan Engelhardt <jengelh@inai.de>
- Force-rewrite "/usr/bin/env python" to "python3" (not 2.x)
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.4.2
  * Merge recogbase into recog
  * Remove tons of unused code & files
  * Fix many bugs in the recognition code leading to errors or
    incorrect recognitions
  * Replace involution finder for SL_2 in even characteristic
    (faster & less buggy)
  * Add Randomize methods for non-compressed vectors to support
    fields with more than 256 elements
  * Rename `order` to `OrderFunc` to avoid clashes with existing
    code
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 1.2.5
  * No changelog provided
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 1.2.4
  * Fix bugs with handling of scalars in projective matrix groups
  * Fix misdetection of SL(2,q), odd q
  * Fix bug leading to "Error: Group() called with empty list of
  generators"
  * Fix endless loop when recognizing GL(2,q) with q <= 32
  * Detect if DoHintedLowIndex runs into an infinite loop
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 1.2.3
  * Changes to package metadata only
* Fri May 10 2013 jengelh@inai.de
- Split recog (version 1.2) off the gap RPM package
